# Haskell text faces and other stuff related to syntax highlighting
# for Haskell in Kakoune, because I prefer different color arrangements
# per language.

{ theme, pkgs, ... }: pkgs.writeTextFile (rec {
    name = "common.kak";
    destination = "/share/kak/colors/${name}";
    text = with theme; ''
		face global value 		rgb:${yellow.bright}
		face global string 		rgb:${green.normal}
		face global variable	+a
		face global module		rgb:${green.normal}
		face global operator	rgb:${cyan.bright}
		face global type		rgb:${yellow.normal}
		face global function	rgb:${cyan.bright}
		face global keyword		rgb:${blue.normal}+b
		face global builtin		+b
    '';
})
